Groovy Documentation

## org.codehaus.groovy.grails.aop.framework.autoproxy
[Java] Class GroovyAwareInfrastructureAdvisorAutoProxyCreator

    java.lang.Object
      org.springframework.aop.framework.autoproxy.InfrastructureAdvisorAutoProxyCreator
          org.codehaus.groovy.grails.aop.framework.autoproxy.GroovyAwareInfrastructureAdvisorAutoProxyCreator

    public class GroovyAwareInfrastructureAdvisorAutoProxyCreator
    extends InfrastructureAdvisorAutoProxyCreator

Tells Spring always to proxy Groovy classes.

Authors:
  Graeme Rocher

Since:
  1.2

Method Summary
`protected boolean` | `shouldProxyTargetClass(java.lang.Class beanClass, java.lang.String beanName)`

Method Detail

### shouldProxyTargetClass

    @Override
    protected boolean shouldProxyTargetClass(java.lang.Class beanClass, java.lang.String beanName)

Groovy Documentation